require 'yaml'
require 'pry'

module IboIpsum
  class Ibo
    def ipsum(size)
      size = size.nil? ? 40 : size
      samples.join('').split(/((?<=[a-z0-9)][.?!])|(?<=[a-z0-9][.?!]"))\s+(?="?[A-Z])/).uniq.shuffle[1..size.to_i].join(' ').gsub("\n", ' ')
    end

    def cite
      samples.sample.gsub("\n", ' ')
    end

    def samples
      YAML.load_file(File.join(File.dirname(__FILE__), "../../samples.yml"))
    end
  end
end
